Page MenuHomePhabricator

w: in en.wikipedia not really "superfluous" for self & broken links
Closed, ResolvedPublic

Description

Author: bugzillas+padREMOVETHISdu

Description:
From en.wikipedia, a link with en: behaves like en: is discarded, i.e.
self-links are bolded & broken links are coloured red. But a link with w: always
shows up as a normal link. (Branched off from bug 938 comment 4).


Version: unspecified
Severity: normal
URL: http://en.wikipedia.org/wiki/User:Paddu/sandbox#bug_28-11-2004

Details

Reference
bz954

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 7:03 PM
bzimport set Reference to bz954.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Nov 28 2004, 4:29 PM

gangleri wrote:

Hallo!

The issue about self referencing links generated with self referencing interwiki
prefixes is covered at
Bug 4864: Evaluate self referencing interwiki prefixes
with additional examples ("m:" and others to come).

The links to non existing pages (which should render red according to this
request) generated with self referencing interwiki prefixes is *not* covered there.

best regards reinhardt [[user:gangleri]]

brion added a comment.Feb 5 2006, 12:47 AM
  • Bug 4864 has been marked as a duplicate of this bug. ***
TTO added a comment.Dec 24 2013, 1:01 AM

$wgLocalInterwiki can only take one value. On enwiki it is set to "en". Hence, "w" and "wikipedia" are not considered local interwikis, even though they are.

To fix this, I think we would need to be able to provide more than one value for $wgLocalInterwiki. I can't see that it would be a problem to optionally allow an array as well as a string for $wgLocalInterwiki, or to introduce a parallel config variable $wgLocalInterwikis (a la $wgSkipSkin[s]).

Or, even better, get rid of $wgLocalInterwiki altogether and make MW smart enough to know when an interwiki points back at the same wiki. But that would be quite hard and unnecessary.

Change 110162 had a related patch set uploaded by TTO:
Add $wgLocalInterwikis to handle multiple local prefixes

https://gerrit.wikimedia.org/r/110162

Change 110162 merged by jenkins-bot:
Add $wgLocalInterwikis to handle multiple local prefixes

https://gerrit.wikimedia.org/r/110162

Change 144264 had a related patch set uploaded by TTO:
Add a complete list of local interwikis

https://gerrit.wikimedia.org/r/144264

Change 144264 merged by jenkins-bot:
Add a complete list of local interwikis

https://gerrit.wikimedia.org/r/144264

TTO added a comment.Jul 11 2014, 12:52 AM

Now fixed, in time for this bug's 10th birthday!

Meno25 removed a subscriber: Meno25.Oct 3 2016, 4:58 PM